Subject: bug#19157: 25.0.50; Horizontal auto-scrolling

From: Eli Zaretskii <[email-masked]>
Date: Mon, 24 Nov 2014 15:58:00 +0200

> Date: Mon, 24 Nov 2014 15:36:15 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> The incorrect code in isearch.el was there since about forever.  I
> have no idea why this problem is only visible on the trunk; I suspect
> some recent redisplay optimization exposed it.  If you have time to
> bisect, perhaps we will learn something non-trivial.

Using old binaries I kept around, I was able to determine that the bug
appeared somewhere between 26 July and 27 July 2014 (bzr trunk
version 117575 works correctly, while 117589 does not).  That range of
revisions includes the pixelwise-resizing changes...